Summary: Linux Logical Volume Manager utilities.
Name: lvm
Version: 0.9
Release: 1
Copyright: GPL
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source: ftp://linux.msede.com/lvm/v0.9/lvm_0.9.tar.gz
Patch0: lvm-0.9-paths.patch
Patch1: lvm-0.9-broken.patch

%description
LVM includes all of the support for handling read/write operations on
physical volumes (hard disks, RAID-Systems, magneto optical, etc.,
multiple devices (MD), see mdadd(8) or even loop devices, see
losetup(8)), creating volume groups (kind of virtual disks) from one
or more physical volumes and creating one or more logical volumes
(kind of logical partitions) in volume groups.

%prep
%setup -q -n LVM
%patch0 -p1 -b .config
%patch1 -p1 -b .broken

%build
cd %{version}
CFLAGS="-D_GNU_SOURCE $RPM_OPT_FLAGS" ./configure --prefix=/usr \
	 --sbindir=/sbin --libdir=/lib
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib $RPM_BUILD_ROOT/sbin \
         $RPM_BUILD_ROOT/%{_mandir}/man8
cd %{version}
make MAN8DIR=$RPM_BUILD_ROOT/%{_mandir}/man8 \
	sbindir=$RPM_BUILD_ROOT/sbin \
	libdir=$RPM_BUILD_ROOT/lib install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{version}/ABSTRACT %{version}/CHANGELOG %{version}/CONTRIBUTORS
%doc %{version}/LVM-HOWTO %{version}/README %{version}/TODO
%doc %{version}/WHATSNEW %{version}/FAQ
%{_mandir}/man8/*
/lib/*so
/sbin/*

%changelog
* Wed Jan 24 2001 Than Ngo <than@redhat.com>
- updated to 0.9
- hacked for building on ia64 and sparc

* Mon Dec 11 2000 Bill Nottingham <notting@redhat.com>
- build library code with -fPIC
 
* Wed Nov  1 2000 Matt Wilson <msw@redhat.com>
- initialization of spec file.
